package com.yihu.jw.entity.care.course;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: yeshijie
 * @Date: 2021/5/13
 * @Description: 居民发起的退款记录表
 */
@Entity
@Table(name="base_patient_order_refund")
public class PatientOrderRefundDO extends UuidIdentityEntity{

    /**
     * 居民code
     */
    private String patient;
    /**
     * 居民名字
     */
    private String patientName;
    /**
     * 订单金额
     */
    private BigDecimal orderPrice;
    /**
     *'退款金额'
     */
    private BigDecimal refundPrice;
    /**
     *'退款原因'
     */
    private String refundDesc;
    /**
     * 状态
     * '1待退款2退款完成3退款失败'
     */
    private String status;
    /**
     * '退款时间'
     */
    private Date refundTime;
    /**
     * '退款申请时间'
     */
    private Date createTime;
    /**
     * '购买时间'
     */
    private Date buyTime;
    /**
     * '附件'
     */
    private String enclosure;
    /**
     * '退款表id'
     */
    private String bussinessOrderRefundId;
    /**
     * 类型 1招生报名，2课程
     */
    private String type;
    /**
     * 订单id
     */
    private String orderId;
    /**
     * 机构代码
     */
    private String orgCode;
    /**
     * 机构名称
     */
    private String orgName;
    /**
     * 课程名称/招生标题
     */
    private String title;
    /**
     * '联系电话'
     */
    private String mobile;

    @Column(name = "patient")
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name = "patient_name")
    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    @Column(name = "order_price")
    public BigDecimal getOrderPrice() {
        return orderPrice;
    }

    public void setOrderPrice(BigDecimal orderPrice) {
        this.orderPrice = orderPrice;
    }

    @Column(name = "refund_price")
    public BigDecimal getRefundPrice() {
        return refundPrice;
    }

    public void setRefundPrice(BigDecimal refundPrice) {
        this.refundPrice = refundPrice;
    }

    @Column(name = "refund_desc")
    public String getRefundDesc() {
        return refundDesc;
    }

    public void setRefundDesc(String refundDesc) {
        this.refundDesc = refundDesc;
    }

    @Column(name = "status")
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Column(name = "refund_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    @Column(name = "create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Column(name = "buy_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getBuyTime() {
        return buyTime;
    }

    public void setBuyTime(Date buyTime) {
        this.buyTime = buyTime;
    }

    @Column(name = "enclosure")
    public String getEnclosure() {
        return enclosure;
    }

    public void setEnclosure(String enclosure) {
        this.enclosure = enclosure;
    }

    @Column(name = "bussiness_order_refund_id")
    public String getBussinessOrderRefundId() {
        return bussinessOrderRefundId;
    }

    public void setBussinessOrderRefundId(String bussinessOrderRefundId) {
        this.bussinessOrderRefundId = bussinessOrderRefundId;
    }

    @Column(name = "org_code")
    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    @Column(name = "org_name")
    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    @Column(name = "title")
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Column(name = "mobile")
    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    @Column(name = "order_id")
    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    @Column(name = "type")
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
